---------------------
PatchSet 2228 
Date: 2001/05/07 07:14:05
Author: akroonmaa
Branch: chunked_mempools
Tag: (none) 
Log:
minor typos

Members: 
	doc/Programming-Guide/prog-guide.sgml:1.10.8.7->1.10.8.8 

Index: squid/doc/Programming-Guide/prog-guide.sgml
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/Programming-Guide/prog-guide.sgml,v
retrieving revision 1.10.8.7
retrieving revision 1.10.8.8
diff -u -r1.10.8.7 -r1.10.8.8
--- squid/doc/Programming-Guide/prog-guide.sgml	4 May 2001 23:04:37 -0000	1.10.8.7
+++ squid/doc/Programming-Guide/prog-guide.sgml	7 May 2001 07:14:05 -0000	1.10.8.8
@@ -2,7 +2,7 @@
 <article>
 <title>Squid Programmers Guide</title>
 <author>Duane Wessels, Squid Developers
-<date>$Id: prog-guide.sgml,v 1.10.8.7 2001/05/04 23:04:37 akroonmaa Exp $</date>
+<date>$Id: prog-guide.sgml,v 1.10.8.8 2001/05/07 07:14:05 akroonmaa Exp $</date>
 
 <abstract>
 Squid is a WWW Cache application developed by the National Laboratory
@@ -3084,7 +3084,8 @@
 	<P>
 <verb>
 	MemPoolIterator *iter;
-	for (iter = memPoolIterate(); (pool = memPoolIterateNext(iter)); ) {
+	iter = memPoolIterate();
+	while ( (pool = memPoolIterateNext(iter)) ) {
 	    ... handle(pool);
 	}
 	memPoolIterateDone(&amp;iter);
@@ -3113,7 +3114,7 @@
 	Because of that memory can be freed also only in chunks. Therefore
 	there is tradeoff between memory conservation due to chunking and free
 	memory fragmentation.
-	As a general guideline, increase chunk size for pools that keeps very
+	As a general guideline, increase chunk size only for pools that keep very
 	many items for relatively long time. 
 
 <sect2>memPoolSetIdleLimit
@@ -3227,7 +3228,7 @@
 <p>
 	Between the calls to this function objects are placed onto internal
 	cache instead of returning to their home chunks, mainly for speedup	
-	purpoase. During that time state of chunk is not known, it is not
+	purpose. During that time state of chunk is not known, it is not
 	known whether chunk is free or in use. This call returns all objects
 	to their chunks and restores consistency.
 <p>
